org.apache.ignite.ml.dataset.primitive.builder.context

## Class EmptyContextBuilder<K,V>

- java.lang.Object
- - org.apache.ignite.ml.dataset.primitive.builder.context.EmptyContextBuilder<K,V>

- Type Parameters:
    `K` - Type of a key in `upstream` data.
    `V` - Type of a value in `upstream` data.
  All Implemented Interfaces:
    Serializable, PartitionContextBuilder<K,V,EmptyContext>

      public class EmptyContextBuilder<K,V>
      extends Object
      implements PartitionContextBuilder<K,V,EmptyContext>

  A partition `context` builder that makes `EmptyContext`.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EmptyContextBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EmptyContext` | `build(LearningEnvironment env, Iterator<UpstreamEntry<K,V>> upstreamData, long upstreamDataSize)` Builds a new partition `context` from an `upstream` data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.dataset.PartitionContextBuilder

      `andThen, build`

- - ### Constructor Detail

    - #### EmptyContextBuilder

          public EmptyContextBuilder()

  - ### Method Detail

    - #### build

          public EmptyContext build(LearningEnvironment env,
                                    Iterator<UpstreamEntry<K,V>> upstreamData,
                                    long upstreamDataSize)

      Builds a new partition `context` from an `upstream` data. Important: there is no guarantee that there will be no more than one UpstreamEntry with given key, UpstreamEntry should be thought rather as a container saving all data from upstream, but omitting uniqueness constraint. This constraint is omitted to allow upstream data transformers in `DatasetBuilder` replicating entries. For example it can be useful for bootstrapping.
      Specified by:
        `build` in interface `PartitionContextBuilder<K,V,EmptyContext>`
      Parameters:
        `env` - Learning environment.
        `upstreamData` - Partition `upstream` data.
        `upstreamDataSize` - Partition `upstream` data size.
      Returns:
        Partition `context`.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022